package de.java2html.eclipse.popup;

import de.java2html.eclipse.util.ReadableDocument;
import de.java2html.eclipse.util.ReadableDocumentStringAdapter;

import org.eclipse.jface.text.ITextSelection;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.IObjectActionDelegate;

/**
 * @author Markus Gebhard
 */
public class Java2HtmlObjectPopupAction extends AbstractJava2HtmlAction implements IObjectActionDelegate {

  protected final JavaDocumentList getDocumentList() {
    ISelection selection = getSelection();
    if (selection instanceof IStructuredSelection) {
      return getJavaDocumentsFromSelection((IStructuredSelection) selection);
    }
    if (!(selection instanceof ITextSelection)) {
      return null;
    }

    String text = ((ITextSelection) selection).getText();
    if (text == null || text.length() == 0) {
      return null;
    }
    JavaDocumentList documents = new JavaDocumentList();
    ReadableDocument document = new ReadableDocumentStringAdapter(text);
    document.setName(getWorkbenchPart().getTitle());
    documents.add(document);
    documents.setName(getWorkbenchPart().getTitle());
    return documents;
  }
}