package de.java2html.eclipse.util;

import java.util.HashMap;
import java.util.Map;

import de.java2html.util.RGB;

import org.eclipse.swt.graphics.Color;

/**
 * @author Markus Gebhard
 */
public class AwtToSwtColorTable {
  private final Map table = new HashMap();

  public int getSize() {
    return table.size();
  }

  public Color getSwtColor(RGB color) {
    if (!table.containsKey(color)) {
      table.put(color, awtColor2swtColor(color));
    }
    return (Color) table.get(color);
  }

  private Color awtColor2swtColor(RGB color) {
    return new Color(null, color.getRed(), color.getGreen(), color.getBlue());
  }

  public void disposeColors() {
    RGB[] rgbKeys = (RGB[]) table.keySet().toArray(new RGB[table.size()]);
    for (int i = 0; i < rgbKeys.length; ++i) {
      Color swtColor = getSwtColor(rgbKeys[i]);
      swtColor.dispose();
      table.remove(rgbKeys[i]);
    }
  }
}