package de.java2html.eclipse.util;

import java.io.File;
import java.io.FileReader;
import java.io.Reader;

/**
 * @author Markus Gebhard
 */
public class ReadableDocumentFileAdapter implements ReadableDocument {
  private File file;
  private String name;
  
  public ReadableDocumentFileAdapter(File file){
    this.file = file;
    setName(file.getName());
  }

  public void setName(String name) {
    this.name = name;
  }

  /**
   * @see de.java2html.eclipse.util.ReadableDocument#getReader()
   */
  public Reader getReader() throws Exception {
    return new FileReader(file);
  }

  /**
   * @see de.java2html.eclipse.util.ReadableDocument#getName()
   */
  public String getName() {
    return name;
  }
  
  /**
   * @see java.lang.Object#equals(java.lang.Object)
   */
  public boolean equals(Object obj) {
    if (!(obj instanceof ReadableDocumentFileAdapter)){
      return false;
    }
    return file.equals(((ReadableDocumentFileAdapter)obj).file);
  }

  /**
   * @see java.lang.Object#hashCode()
   */
  public int hashCode() {
    return file.hashCode();
  }
}
