package de.java2html.eclipse.util;

import java.io.Reader;
import java.io.StringReader;

/**
 * @author Markus Gebhard
 */
public class ReadableDocumentStringAdapter implements ReadableDocument {
  private String content;
  private String name;
  
  public ReadableDocumentStringAdapter(String content){
    this.content = content;
    setName("");
  }

  public void setName(String name) {
    this.name = name;
  }

  /**
   * @see de.java2html.eclipse.util.ReadableDocument#getReader()
   */
  public Reader getReader() throws Exception {
    return new StringReader(content);
  }

  /**
   * @see de.java2html.eclipse.util.ReadableDocument#getName()
   */
  public String getName() {
    return name;
  }

  /**
   * @see java.lang.Object#equals(java.lang.Object)
   */
  public boolean equals(Object obj) {
    if (!(obj instanceof ReadableDocumentStringAdapter)){
      return false;
    }
    return content.equals(((ReadableDocumentStringAdapter)obj).content);
  }

  /**
   * @see java.lang.Object#hashCode()
   */
  public int hashCode() {
    return content.hashCode();
  }
}